#ifndef TIMEUPDATETHREAD_H
#define TIMEUPDATETHREAD_H

#include <QDateTime>
#include <QString>
#include <QThread>

class TimeUpdateThread : public QThread {
    Q_OBJECT
   public:
    explicit TimeUpdateThread(QObject *parent = nullptr);

   signals:
    void timeUpdated(const QString &timeString);

   protected:
    void run() override;
};

#endif  // TIMEUPDATETHREAD_H
